DMsGuild
Page 2 of 10 First 1234 ... Last
  1. #11
    Hi. I love this Extension, but...

    Would it be possible to - in the next version - adjust the internal version number it reports to FG to the correct one (on my PC it currently reports 2.4)? Mad Nomad's 3rd Party Updater keeps nagging me to update this extension to v4...

  2. #12
    Quote Originally Posted by Roach View Post
    Hi. I love this Extension, but...

    Would it be possible to - in the next version - adjust the internal version number it reports to FG to the correct one (on my PC it currently reports 2.4)? Mad Nomad's 3rd Party Updater keeps nagging me to update this extension to v4...
    Version 4 is the current version so if it's reporting 2.4 then you likely have an older version of the extension. The download on the first post of this thread is version 4. You should see "5E - Theogeek's Improved Critical (v4.0)" in the extension selection window. If you don't see that, then you have an older version.

    To make sure there wasn't something I missed, I downloaded the extension from the first post of this current thread (https://www.fantasygrounds.com/forum...roved-Critical), checked the source, and every place where the version number is is set to 4.0.

    Lemme know what you see. I just loaded a campaign with v4.0 from the extension selection window, and version 4.0 was loaded.

  3. #13
    Quote Originally Posted by Roach View Post
    Hi. I love this Extension, but...

    Would it be possible to - in the next version - adjust the internal version number it reports to FG to the correct one (on my PC it currently reports 2.4)? Mad Nomad's 3rd Party Updater keeps nagging me to update this extension to v4...
    My copy says version 4.0. I would double check your extensions folder and make sure you dont have a duplicate older copy installed. Its happened to me more than once. I think there may also be some confusion with MadNomads updater as there are 2 versions of this extension. The older one for Classic, and then this new one starting at version 4 for Unity. Both using the same name.

  4. #14
    Quote Originally Posted by mattekure View Post
    My copy says version 4.0. I would double check your extensions folder and make sure you dont have a duplicate older copy installed. Its happened to me more than once. I think there may also be some confusion with MadNomads updater as there are 2 versions of this extension. The older one for Classic, and then this new one starting at version 4 for Unity. Both using the same name.
    All versions *should* work with FGC and FGU, I'm just not developing in FGC anymore. At some point, the FGU and FGC code bases may diverge enough that separate versions are required, but I don't think it's there yet.

  5. #15
    Hi, thanks for the great extension. I ran into a problem on FGU while running version 4.0 of the extension. I rolled damage as normal and I thought in FGC that you could use a modifier key to apply critical damage instead and another key to heal for that damage (though I need to go back and test, because I'm thinking now that functionality was added through an extension).

    Anyway, if I take the roll result, use the SHIFT key and drag it onto a token in the combat tracker, the following error appears:
    [11/14/2020 10:18:13 AM] Handler error: [string "scripts/5E-Theogeek-ImprovedCritical.lua"]:213: attempt to index local 'tempDie' (a nil value)
    [11/14/2020 10:18:24 AM] [ERROR] Script execution error: [string "scripts/5E-Theogeek-ImprovedCritical.lua"]:213: attempt to index local 'tempDie' (a nil value)

    It's obviously not critical and will stop doing it, but figured I should report it.

  6. #16
    Quote Originally Posted by Korav View Post
    Hi, thanks for the great extension. I ran into a problem on FGU while running version 4.0 of the extension. I rolled damage as normal and I thought in FGC that you could use a modifier key to apply critical damage instead and another key to heal for that damage (though I need to go back and test, because I'm thinking now that functionality was added through an extension).

    Anyway, if I take the roll result, use the SHIFT key and drag it onto a token in the combat tracker, the following error appears:
    [11/14/2020 10:18:13 AM] Handler error: [string "scripts/5E-Theogeek-ImprovedCritical.lua"]:213: attempt to index local 'tempDie' (a nil value)
    [11/14/2020 10:18:24 AM] [ERROR] Script execution error: [string "scripts/5E-Theogeek-ImprovedCritical.lua"]:213: attempt to index local 'tempDie' (a nil value)

    It's obviously not critical and will stop doing it, but figured I should report it.
    ooh...good catch.

    It looks like dragging a critical roll even without holding the SHIFT key while doing it causes this error. I'll look into it, but it looks like the way I compute critical damage relies on a structure that doesn't exist when damage is applied in this manner.

  7. #17
    Thank you TheoGeek for looking into it!

  8. #18
    OK...I might have something, but I'm not sure what you are looking for and I don't want to fix it wrongly.

    i.e. what's your use case?

    Currently, holding SHIFT and dragging from the damage box on the character sheet to an entry on the combat tracker rolls critical damage as expected and I don't get the error you see. I do get the error when trying to drag any kind of critical damage from the chat window to a CT entry. The "fix" I made was to bypass computing critical damage in the case where there were no dice to decode, so when you drag an already rolled result from the chat window, it will apply that same damage and not attempt to recode any different damage. Likewise, you can't make an already rolled damage result "critical" by simply holding shift and dragging it to a CT entry (which is consistent with the behavior without my extension loaded).

    Thanks!

  9. #19
    Thank you for looking at this. I don't have a specific use case for this, just noticed the unhandled exception. In my case in FGC there was an addon (might have been combat enhancer, but don't remember which addon it was) that allowed you to drag results from the chat to the CT with modifier keys. Depending on the modifier key (SHFT, ALT, CTRL) it would reverse damage (heal), give half damage, or give twice the damage. So I simply stumbled across it when I performed these actions. I assumed (incorrectly) that this happened only when SHIFT dragging, but it sounds like it handled all the time.

  10. #20
    Has the new extension update been posted?

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
5E Storm Kings Thunder Playlist

Log in

Log in